Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005SelfLocatorParameters Class Reference

`#include <GT2005SelfLocatorParameters.h>`

Inheritance diagram for GT2005SelfLocatorParameters:

[legend]
Collaboration diagram for GT2005SelfLocatorParameters:

[legend]
List of all members.

## Public Member Functions
| GT2005SelfLocatorParameters ()
| Constructor.
virtual void | serialize (In *in, Out *out)
## Public Attributes
double | translationNoise
double | rotationNoise
bool | noiseWithoutObservationUpdate
double | movedDistWeight
double | movedAngleWeight
double | majorDirTransWeight
double | minorDirTransWeight
double | headHeightEstimation
double | linePointZAngleVariance
double | linePointYAngleVariance
double | crossingZAngleVariance
double | crossingYAngleVariance
double | centerCircleZAngleVariance
double | centerCircleYAngleVariance
double | centerCircleOrientationAngleVariance
double | flagYAngleVariance
double | goalZAngleVariance
double | goalYAngleVariance
double | linePointZAngleMotionDependency
double | linePointWeight
double | crossingWeight
double | centerCircleWeight
double | flagWeight
double | goalWeight
double | probFlagUpLimit
double | probFlagDownLimit
double | probLineUpLimit
double | probLineDownLimit
double | probNoQualityOffset
int | maxLinepoints
int | maxGoalpoints
int | maxBorderpoints
int | maxCrossings
double | updateProbCenterCircle
double | updateProbCrossing
double | updateProbFlag
double | updateProbGoalPost
double | odometryProbNoCollision
double | odometryProbCollision
bool | applyConstantResampling
double | constantResamplingRate
bool | clipRobotPose
bool | resetSamplesWhenPenalized
double | agingFactor

## Constructor & Destructor Documentation

GT2005SelfLocatorParameters::GT2005SelfLocatorParameters | ( |  | ) |

| Constructor. Definition at line 4 of file GT2005SelfLocatorParameters.cpp. References agingFactor, applyConstantResampling, centerCircleOrientationAngleVariance, centerCircleWeight, centerCircleYAngleVariance, centerCircleZAngleVariance, clipRobotPose, constantResamplingRate, crossingWeight, crossingYAngleVariance, crossingZAngleVariance, flagWeight, flagYAngleVariance, goalWeight, goalYAngleVariance, goalZAngleVariance, headHeightEstimation, linePointWeight, linePointYAngleVariance, linePointZAngleMotionDependency, linePointZAngleVariance, majorDirTransWeight, maxBorderpoints, maxCrossings, maxGoalpoints, maxLinepoints, minorDirTransWeight, movedAngleWeight, movedDistWeight, noiseWithoutObservationUpdate, odometryProbCollision, odometryProbNoCollision, probFlagDownLimit, probFlagUpLimit, probLineDownLimit, probLineUpLimit, probNoQualityOffset, resetSamplesWhenPenalized, rotationNoise, translationNoise, updateProbCenterCircle, updateProbCrossing, updateProbFlag, and updateProbGoalPost.

## Member Function Documentation

virtual void GT2005SelfLocatorParameters::serialize | ( | In * | in,
|  | Out * | out
| ) | `[inline, virtual]`

| Implements Streamable. Definition at line 104 of file GT2005SelfLocatorParameters.h. References agingFactor, applyConstantResampling, centerCircleOrientationAngleVariance, centerCircleWeight, centerCircleYAngleVariance, centerCircleZAngleVariance, clipRobotPose, constantResamplingRate, crossingWeight, crossingYAngleVariance, crossingZAngleVariance, flagWeight, flagYAngleVariance, goalWeight, goalYAngleVariance, goalZAngleVariance, headHeightEstimation, linePointWeight, linePointYAngleVariance, linePointZAngleMotionDependency, linePointZAngleVariance, majorDirTransWeight, maxBorderpoints, maxCrossings, maxGoalpoints, maxLinepoints, minorDirTransWeight, movedAngleWeight, movedDistWeight, noiseWithoutObservationUpdate, odometryProbCollision, odometryProbNoCollision, probFlagDownLimit, probFlagUpLimit, probLineDownLimit, probLineUpLimit, probNoQualityOffset, resetSamplesWhenPenalized, rotationNoise, STREAM, STREAM_REGISTER_BEGIN, STREAM_REGISTER_FINISH, translationNoise, updateProbCenterCircle, updateProbCrossing, updateProbFlag, and updateProbGoalPost.

## Member Data Documentation

double GT2005SelfLocatorParameters::translationNoise

| Definition at line 32 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), GT2005SelfLocator::motionUpdate(), and serialize().

double GT2005SelfLocatorParameters::rotationNoise

| Definition at line 32 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), GT2005SelfLocator::motionUpdate(), and serialize().

bool GT2005SelfLocatorParameters::noiseWithoutObservationUpdate

| Definition at line 34 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocator::execute(), GT2005SelfLocatorParameters(), and serialize().

double GT2005SelfLocatorParameters::movedDistWeight

| Definition at line 36 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), GT2005SelfLocator::motionUpdate(), and serialize().

double GT2005SelfLocatorParameters::movedAngleWeight

| Definition at line 36 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), GT2005SelfLocator::motionUpdate(), and serialize().

double GT2005SelfLocatorParameters::majorDirTransWeight

| Definition at line 36 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), GT2005SelfLocator::motionUpdate(), and serialize().

double GT2005SelfLocatorParameters::minorDirTransWeight

| Definition at line 36 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), GT2005SelfLocator::motionUpdate(), and serialize().

double GT2005SelfLocatorParameters::headHeightEstimation

| Definition at line 36 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), serialize(), GT2005SelfLocator::updateByCenterCircle(), GT2005SelfLocator::updateByCrossing(), and GT2005SelfLocator::updateByPoint().

double GT2005SelfLocatorParameters::linePointZAngleVariance

| Definition at line 36 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocator::calculateTrust(), GT2005SelfLocatorParameters(), serialize(), and GT2005SelfLocator::updateVariancesBySpeed().

double GT2005SelfLocatorParameters::linePointYAngleVariance

| Definition at line 36 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocator::calculateTrust(), GT2005SelfLocatorParameters(), and serialize().

double GT2005SelfLocatorParameters::crossingZAngleVariance

| Definition at line 36 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocator::calculateTrust(), GT2005SelfLocatorParameters(), and serialize().

double GT2005SelfLocatorParameters::crossingYAngleVariance

| Definition at line 36 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocator::calculateTrust(), GT2005SelfLocatorParameters(), and serialize().

double GT2005SelfLocatorParameters::centerCircleZAngleVariance

| Definition at line 36 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocator::calculateTrust(), GT2005SelfLocatorParameters(), and serialize().

double GT2005SelfLocatorParameters::centerCircleYAngleVariance

| Definition at line 36 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocator::calculateTrust(), GT2005SelfLocatorParameters(), and serialize().

double GT2005SelfLocatorParameters::centerCircleOrientationAngleVariance

| Definition at line 36 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocator::calculateTrust(), GT2005SelfLocatorParameters(), and serialize().

double GT2005SelfLocatorParameters::flagYAngleVariance

| Definition at line 36 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocator::calculateTrust(), GT2005SelfLocatorParameters(), and serialize().

double GT2005SelfLocatorParameters::goalZAngleVariance

| Definition at line 36 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocator::calculateTrust(), GT2005SelfLocatorParameters(), and serialize().

double GT2005SelfLocatorParameters::goalYAngleVariance

| Definition at line 36 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocator::calculateTrust(), GT2005SelfLocatorParameters(), and serialize().

double GT2005SelfLocatorParameters::linePointZAngleMotionDependency

| Definition at line 36 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), serialize(), and GT2005SelfLocator::updateVariancesBySpeed().

double GT2005SelfLocatorParameters::linePointWeight

| Definition at line 36 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocator::calculateTrust(), GT2005SelfLocatorParameters(), serialize(), and GT2005SelfLocator::updateVariancesBySpeed().

double GT2005SelfLocatorParameters::crossingWeight

| Definition at line 36 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocator::calculateTrust(), GT2005SelfLocatorParameters(), GT2005SelfLocator::lineObservationUpdate(), and serialize().

double GT2005SelfLocatorParameters::centerCircleWeight

| Definition at line 36 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocator::calculateTrust(), GT2005SelfLocatorParameters(), GT2005SelfLocator::lineObservationUpdate(), and serialize().

double GT2005SelfLocatorParameters::flagWeight

| Definition at line 36 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocator::calculateTrust(), GT2005SelfLocatorParameters(), and serialize().

double GT2005SelfLocatorParameters::goalWeight

| Definition at line 36 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocator::calculateTrust(), GT2005SelfLocatorParameters(), and serialize().

double GT2005SelfLocatorParameters::probFlagUpLimit

| Definition at line 73 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), and serialize().

double GT2005SelfLocatorParameters::probFlagDownLimit

| Definition at line 73 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), and serialize().

double GT2005SelfLocatorParameters::probLineUpLimit

| Definition at line 73 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), and serialize().

double GT2005SelfLocatorParameters::probLineDownLimit

| Definition at line 73 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), and serialize().

double GT2005SelfLocatorParameters::probNoQualityOffset

| Definition at line 73 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), and serialize().

int GT2005SelfLocatorParameters::maxLinepoints

| Definition at line 79 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), GT2005SelfLocator::lineObservationUpdate(), and serialize().

int GT2005SelfLocatorParameters::maxGoalpoints

| Definition at line 79 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), GT2005SelfLocator::lineObservationUpdate(), and serialize().

int GT2005SelfLocatorParameters::maxBorderpoints

| Definition at line 79 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), GT2005SelfLocator::lineObservationUpdate(), and serialize().

int GT2005SelfLocatorParameters::maxCrossings

| Definition at line 79 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), GT2005SelfLocator::lineObservationUpdate(), and serialize().

double GT2005SelfLocatorParameters::updateProbCenterCircle

| Definition at line 84 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), serialize(), and GT2005SelfLocator::updateByCenterCircle().

double GT2005SelfLocatorParameters::updateProbCrossing

| Definition at line 84 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), serialize(), and GT2005SelfLocator::updateByCrossing().

double GT2005SelfLocatorParameters::updateProbFlag

| Definition at line 84 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), serialize(), and GT2005SelfLocator::updateByFlag().

double GT2005SelfLocatorParameters::updateProbGoalPost

| Definition at line 84 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), serialize(), and GT2005SelfLocator::updateByGoalPost().

double GT2005SelfLocatorParameters::odometryProbNoCollision

| Definition at line 89 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), GT2005SelfLocator::resample(), and serialize().

double GT2005SelfLocatorParameters::odometryProbCollision

| Definition at line 90 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), GT2005SelfLocator::resample(), and serialize().

bool GT2005SelfLocatorParameters::applyConstantResampling

| Definition at line 92 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), GT2005SelfLocator::resample(), and serialize().

double GT2005SelfLocatorParameters::constantResamplingRate

| Definition at line 94 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocatorParameters(), GT2005SelfLocator::resample(), and serialize().

bool GT2005SelfLocatorParameters::clipRobotPose

| Definition at line 96 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocator::calcPoseFromSubCube(), GT2005SelfLocatorParameters(), and serialize().

bool GT2005SelfLocatorParameters::resetSamplesWhenPenalized

| Definition at line 98 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocator::execute(), GT2005SelfLocatorParameters(), and serialize().

double GT2005SelfLocatorParameters::agingFactor

| Definition at line 100 of file GT2005SelfLocatorParameters.h. Referenced by GT2005SelfLocator::execute(), GT2005SelfLocatorParameters(), and serialize().

The documentation for this class was generated from the following files:

- Modules/SelfLocator/GT2005SelfLocator/GT2005SelfLocatorParameters.h
- Modules/SelfLocator/GT2005SelfLocator/GT2005SelfLocatorParameters.cpp